package com.ruoyi.project.statistics.domain;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.common.core.domain.BaseEntity;

import java.util.Date;

public class Statistics extends BaseEntity {
    /**
     * 装置名称
     */
    private String plantName;

    /**
     * 装置id
     */
    private Long plantId;

    private Long repairId;

    /**
     * 密封点id
     */
    private Long pointId;

    /**
     * 密封点类型
     */
    private String pointType;

    /**
     * 装置统计
     */
    private Integer plantCount;

    /**
     * 设备统计
     */
    private Integer devCount;

    /**
     * 泵统计
     */
    private Integer bCount;

    /**
     * 压缩机统计
     */
    private Integer ysjCount;

    /**
     * 搅拌器统计
     */
    private Integer jbqCount;

    /**
     * 阀门统计
     */
    private Integer fmCount;

    /**
     * 泄压设备统计
     */
    private Integer xysbCount;

    /**
     * 连接件统计
     */
    private Integer ljjCount;

    /**
     * 法兰统计
     */
    private Integer flCount;

    /**
     * 开口阀统计
     */
    private Integer kkfCount;

    /**
     * 取样连接系统统计
     */
    private Integer qyljCount;

    /**
     * 其他统计
     */
    private Integer qtCount;

    /**
     * 合计
     */
    private Integer pointCount;

    /**
     * 未泄露统计
     */
    private Integer wxlCount;

    /**
     * 一般泄露统计
     */
    private Integer ybxlCount;

    /**
     * 严重泄漏统计
     */
    private Integer yzxlCount;

    /**
     * 未检测统计
     */
    private Integer wjcCount;

    /**
     * 合计
     */
    private Integer xlcdCount;

    /**
     * 泄漏量
     */
    private String xll;

    /**
     * 减排量
     */
    private String jpl;

    /**
     * 排放量
     */
    private String pfl;

    /**
     * 实际排放量
     */
    private String sjpfl;

    /**
     * 开始时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date startTime;

    /**
     * 结束时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date endTime;

    /**
     * 内容
     */
    private String content;

    /**
     * 统计
     */
    private Integer count;

    /**
     * 归属机构
     */
    private String company;

    private String netTestValue;

    private String year;


    public String getSjpfl() {
        return sjpfl;
    }

    public void setSjpfl(String sjpfl) {
        this.sjpfl = sjpfl;
    }

    public String getYear() {
        return year;
    }

    public void setYear(String year) {
        this.year = year;
    }

    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date checkDate;

    public Long getRepairId() {
        return repairId;
    }

    public void setRepairId(Long repairId) {
        this.repairId = repairId;
    }

    public String getPointType() {
        return pointType;
    }

    public void setPointType(String pointType) {
        this.pointType = pointType;
    }

    public Long getPointId() {
        return pointId;
    }

    public void setPointId(Long pointId) {
        this.pointId = pointId;
    }

    public String getNetTestValue() {
        return netTestValue;
    }

    public void setNetTestValue(String netTestValue) {
        this.netTestValue = netTestValue;
    }

    public Date getCheckDate() {
        return checkDate;
    }

    public void setCheckDate(Date checkDate) {
        this.checkDate = checkDate;
    }

    public String getPlantName() {
        return plantName;
    }

    public void setPlantName(String plantName) {
        this.plantName = plantName;
    }

    public Long getPlantId() {
        return plantId;
    }

    public void setPlantId(Long plantId) {
        this.plantId = plantId;
    }

    public Integer getPlantCount() {
        return plantCount;
    }

    public void setPlantCount(Integer plantCount) {
        this.plantCount = plantCount;
    }

    public Integer getDevCount() {
        return devCount;
    }

    public void setDevCount(Integer devCount) {
        this.devCount = devCount;
    }

    public Integer getbCount() {
        return bCount;
    }

    public void setbCount(Integer bCount) {
        this.bCount = bCount;
    }

    public Integer getYsjCount() {
        return ysjCount;
    }

    public void setYsjCount(Integer ysjCount) {
        this.ysjCount = ysjCount;
    }

    public Integer getJbqCount() {
        return jbqCount;
    }

    public void setJbqCount(Integer jbqCount) {
        this.jbqCount = jbqCount;
    }

    public Integer getFmCount() {
        return fmCount;
    }

    public void setFmCount(Integer fmCount) {
        this.fmCount = fmCount;
    }

    public Integer getXysbCount() {
        return xysbCount;
    }

    public void setXysbCount(Integer xysbCount) {
        this.xysbCount = xysbCount;
    }

    public Integer getLjjCount() {
        return ljjCount;
    }

    public void setLjjCount(Integer ljjCount) {
        this.ljjCount = ljjCount;
    }

    public Integer getFlCount() {
        return flCount;
    }

    public void setFlCount(Integer flCount) {
        this.flCount = flCount;
    }

    public Integer getKkfCount() {
        return kkfCount;
    }

    public void setKkfCount(Integer kkfCount) {
        this.kkfCount = kkfCount;
    }

    public Integer getQyljCount() {
        return qyljCount;
    }

    public void setQyljCount(Integer qyljCount) {
        this.qyljCount = qyljCount;
    }

    public Integer getQtCount() {
        return qtCount;
    }

    public void setQtCount(Integer qtCount) {
        this.qtCount = qtCount;
    }

    public Integer getPointCount() {
        return pointCount;
    }

    public void setPointCount(Integer pointCount) {
        this.pointCount = pointCount;
    }

    public Integer getWxlCount() {
        return wxlCount;
    }

    public void setWxlCount(Integer wxlCount) {
        this.wxlCount = wxlCount;
    }

    public Integer getYbxlCount() {
        return ybxlCount;
    }

    public void setYbxlCount(Integer ybxlCount) {
        this.ybxlCount = ybxlCount;
    }

    public Integer getYzxlCount() {
        return yzxlCount;
    }

    public void setYzxlCount(Integer yzxlCount) {
        this.yzxlCount = yzxlCount;
    }

    public Integer getWjcCount() {
        return wjcCount;
    }

    public void setWjcCount(Integer wjcCount) {
        this.wjcCount = wjcCount;
    }

    public Integer getXlcdCount() {
        return xlcdCount;
    }

    public void setXlcdCount(Integer xlcdCount) {
        this.xlcdCount = xlcdCount;
    }

    public String getXll() {
        return xll;
    }

    public void setXll(String xll) {
        this.xll = xll;
    }

    public String getJpl() {
        return jpl;
    }

    public void setJpl(String jpl) {
        this.jpl = jpl;
    }

    public String getPfl() {
        return pfl;
    }

    public void setPfl(String pfl) {
        this.pfl = pfl;
    }

    public Date getStartTime() {
        return startTime;
    }

    public void setStartTime(Date startTime) {
        this.startTime = startTime;
    }

    public Date getEndTime() {
        return endTime;
    }

    public void setEndTime(Date endTime) {
        this.endTime = endTime;
    }

    public String getContent() {
        return content;
    }

    public void setContent(String content) {
        this.content = content;
    }

    public Integer getCount() {
        return count;
    }

    public void setCount(Integer count) {
        this.count = count;
    }

    public String getCompany() {
        return company;
    }

    public void setCompany(String company) {
        this.company = company;
    }
}

